Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 281042 - kde-base/systemsettings-4.3.0 cannot contact consolekit because method call is rejected by dbus
Summary: kde-base/systemsettings-4.3.0 cannot contact consolekit because method call i...
Status: RESOLVED WORKSFORME
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-10 22:11 UTC by Davide Pesavento
Modified: 2010-11-21 22:44 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---
tampakrap: Bugday+


Attachments
Fixes the issue with introspection (consolekit-0.3.0-dbus-policy.patch,1.37 KB, patch)
2009-08-29 17:08 UTC, Davide Pesavento
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2009-08-10 22:11:42 UTC
There must be some policy file which forbids systemsettings to contact console-kit-daemon via dbus.
I'm using dbus-1.3.0 and consolekit-0.3.0-r1.

Aug 10 23:59:38 PesaBook dbus-daemon: Rejected send message, 1 matched rules; type="method_call", sender=":1.64" (uid=1000 pid=12725 comm="/usr/bin/systemsettings) interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply=0 destination="org.freedesktop.ConsoleKit" (uid=0 pid=1322 comm="/usr/sbin/console-kit-daemon))
Aug 10 23:59:38 PesaBook dbus-daemon: Rejected send message, 1 matched rules; type="method_call", sender=":1.64" (uid=1000 pid=12725 comm="/usr/bin/systemsettings) interface="org.freedesktop.DBus.Introspectable" member="Introspect" error name="(unset)" requested_reply=0 destination="org.freedesktop.ConsoleKit" (uid=0 pid=1322 comm="/usr/sbin/console-kit-daemon))
Comment 1 Steve Kutnar 2009-08-26 01:51:30 UTC
There are two items that seem to have this error, kded4 and systemsettings.

The Power Management applet within System Settings reports "There are some issues in your configuration.  Please check the Capabilities page for more details."

The Capabilities page shows that "ConsoleKit Runtime Support" is not active or cannot be contacted by PowerDevil.

/etc/dbus-1/system.d/ConsoleKit.conf indeed does not have any references to org.freedesktop.DBus.Introspectable, but I'm not sure if that is supposed to matter.
Comment 2 Davide Pesavento gentoo-dev 2009-08-29 16:40:35 UTC
Yeah, this really seems a bug of consolekit's dbus policy. Even root isn't allowed to introspect the service!
Comment 3 Davide Pesavento gentoo-dev 2009-08-29 16:45:27 UTC
Adding

<allow send_destination="org.freedesktop.ConsoleKit"
       send_interface="org.freedesktop.DBus.Introspectable"/>

to the default policy fixes the issue for me.
Comment 4 Davide Pesavento gentoo-dev 2009-08-29 17:08:18 UTC
Created attachment 202619 [details, diff]
Fixes the issue with introspection

This patch is already combined with consolekit-0.3.0-allow-setidle.patch, thus it should replace that one.
Comment 5 Davide Pesavento gentoo-dev 2009-10-31 11:25:49 UTC
Seems fixed in sys-auth/consolekit-0.4.1
Comment 6 Carsten Lohrke (RETIRED) gentoo-dev 2009-11-02 12:42:15 UTC
So the dependency should be changed to require said consolekit version.
Comment 7 Ian Douglas 2009-11-21 23:52:15 UTC
(In reply to comment #5)
> Seems fixed in sys-auth/consolekit-0.4.1
> 

I upgraded to 0.4.1 (AMD 64), logged out, restarted the daemon, but the issue persists....

thanks, Ian
Comment 8 Jake Magee 2009-11-30 00:00:19 UTC
Seeing the same issue here...

I have a clean install of ~x86 with consolekit 0.4.1 installed.

How can I go about debugging this?
Comment 9 Thomas Kahle (RETIRED) gentoo-dev 2009-12-13 09:35:29 UTC
I seem to be hit by this when using powerdevil. -> bug #296502
Consolekit-0.3.0-r2 seems to have a variant of the above patch, but the issue remains.
Comment 10 Thomas Kahle (RETIRED) gentoo-dev 2009-12-15 20:21:48 UTC
Could it be a policy issue ?

Can somebody with this bug and kde 4 installed please try the following:

As root, start up the "systemsettings"
Go to the "Advanced" Tab.
Under "PolicyKit Authorization"
Try to modify 
org.freedesktop.consolekit.system.*
to some nonrestrictive values. 

Does this change anything?
(at least it resolved bug #296502)
Comment 11 Ian Douglas 2009-12-29 17:46:44 UTC
(In reply to comment #10)
> As root, start up the "systemsettings"
> Go to the "Advanced" Tab.
> Under "PolicyKit Authorization"
> Try to modify 
> org.freedesktop.consolekit.system.*
> to some nonrestrictive values. 
> 
> Does this change anything?
> (at least it resolved bug #296502)

I tried ... when selecting the Power Management module, I now get a large yellow triangle and the following text (more or less, had to retype as it was not selectable to copy):
"The configuration module cannot be started, since there seems to be a problem with the PowerDevil Daemon. Read below for more details.
PowerDevil seems not to be started. Either you have its service turned off, or there is a problem in D-Bus."

All buttons except Help are greyed out.

ps ax | grep "ower" produces no results.

/home/ian $ rc-update show
           alsasound | boot
             apache2 |      default
            bootmisc | boot
             checkfs | boot
           checkroot | boot
               clock | boot
         consolefont | boot
               cupsd |      default
                hald |      default
            hostname | boot
             keymaps | boot
               local |      default nonetwork
          localmount | boot
             metalog |      default
             modules | boot
               mysql |      default
            net.eth0 |      default
              net.lo | boot
            netmount |      default
          ntp-client |      default
                ntpd |      default
           pure-ftpd |      default
           rmnologin | boot
             urandom | boot
          vixie-cron |      default

Is this like the ALSA issues where there is some daemon that's meant to be running, that's not?

thanks, Ian

 

Comment 12 Thomas Kahle (RETIRED) gentoo-dev 2009-12-30 13:59:00 UTC
> Is this like the ALSA issues where there is some daemon that's meant to be
> running, that's not?

Well, you don't have dbus running, right? In this case it is not supposed to work, I think. I also have the "consolekit" daemon running.


Comment 13 Ian Douglas 2009-12-30 14:40:04 UTC
(In reply to comment #12)
> > Is this like the ALSA issues where there is some daemon that's meant to be
> > running, that's not?
> 
> Well, you don't have dbus running, right? In this case it is not supposed to
> work, I think. I also have the "consolekit" daemon running.
> 

Mmm  .. okay Ian expects portage to take care of that sort of thing.. :-)

However on my other machine, which has the same problem, I do have both running:

spider ian # rc-update show
           alsasound | boot
            bootmisc | boot
             checkfs | boot
           checkroot | boot
               clock | boot
         consolefont | boot
          consolekit |      default
               cupsd |      default
                dbus |      default
                hald |      default
            hostname | boot
             keymaps | boot
               local |      default nonetwork
          localmount | boot
             modules | boot
               mysql |      default
            net.eth0 |      default
              net.lo | boot
            netmount |      default
           rmnologin | boot
           syslog-ng |      default
             urandom | boot
          vixie-cron |      default

I tried opening systemsettings as root as requested above, but got the same error screen as reported above. However I notice that root is not a member of plugdev on this box ... attempting to fix ....

spider ian #  groupmems -a root -g plugdev
Segmentation fault

whoops. not good.

I ask about plugdev because it may be connected to the sound issues that I also have on both boxes.
http://forums.gentoo.org/viewtopic-t-807983-start-0-postdays-0-postorder-asc-highlight-.html

cheers, Ian
Comment 14 Thomas Kahle (RETIRED) gentoo-dev 2009-12-31 13:06:21 UTC
> I tried opening systemsettings as root as requested above, but got the same
> error screen as reported above. However I notice that root is not a member of
> plugdev on this box ... attempting to fix ....

Root is not in the plugdev group here neither.
Comment 15 Andreas K. Hüttel gentoo-dev 2010-07-09 20:40:55 UTC
How about kde-4.4.4?
Comment 16 Captain Sifff 2010-08-21 12:24:14 UTC
At comment 11 and 14:
I suspect that you get things working if you have consolekit and dbus started.
consolekit and dbus should be in the boot runlevel and hald should be in the default runlevel. 
Having done that you should look as user in a konsole window in KDE that consolkit knows about your session. the command is ck-list-sessions.
Furthermore it might help to check /etc/PolicyKit/PolicyKit.conf, if your user is allowed to access anything. But that's just a guess. See Bug #295152
Comment 17 Andreas K. Hüttel gentoo-dev 2010-11-21 22:44:03 UTC
Please reopen if this still happens with recent kde.